Home > Agendize Scheduling

Account Skills


Resource representation

{ "id": {string}, "name": {string}, "description": {string}, "externalId": {string} }
Parameter name Value Description
id string Identifier of the skill.
name string Name of the skill. Max length 255. writable
description string Description of the skill. Max length 65536. writable
externalId string Unique skill identifier from another (external) system.

Delete

Authentication is required to execute this request. Please refer to Authentication for more.

Request

HTTP Request

DELETE https://api.agendize.com/api/2.3/scheduling/skills/{skillId}

Parameters

Parameter name Value Description
Path parameters
skillId string Skill identifier or external identifier.

Request body

Do not supply a request body with this method.

Response

If successful, this method returns an empty response body and the status code 204.


Get

Authentication is required to execute this request. Please refer to Authentication for more.

Request

HTTP Request

GET https://api.agendize.com/api/2.3/scheduling/skills/{skillId}

Parameters

Parameter name Value Description
Path parameters
skillId string Skill identifier or external identifier.

Request body

Do not supply a request body with this method.

Response

If successful, this method returns a Skill resource in the response body.


List

Returns entries on the account's skill list.

Authentication is required to execute this request. Please refer to Authentication for more.

Request

HTTP Request

GET https://api.agendize.com/api/2.3/scheduling/skills

Request body

Do not supply a request body with this method.

Response

If successful, this method returns a response body with the following structure:

{ items: [Skill resource] }

Insert

Authentication is required to execute this request. Please refer to Authentication for more.

Request

HTTP Request

POST https://api.agendize.com/api/2.3/scheduling/skills

Request body

In the request body, supply a Skill resource with the following properties:

Parameter name Value Description
Required Properties
name string Name of the skill.
Optional Properties
description string Description of the skill. Max length 65536. writable
externalId string Unique skill identifier from another (external) system.

Response

If successful, this method returns a Skill resource in the response body.


Update

Authentication is required to execute this request. Please refer to Authentication for more.

Request

HTTP Request

PUT https://api.agendize.com/api/2.3/scheduling/skills/{skillId}

Parameters

Parameter name Value Description
Path parameters
skillId string Skill identifier or external identifier.

Request body

In the request body, supply a Skill resource with the following properties:

Parameter name Value Description
Optional Properties
name string Name of the skill. Max length 255.
description string Description of the skill. Max length 65536. writable
externalId string Unique skill identifier from another (external) system.

Response

If successful, this method returns a Skill resource in the response body.